Name:		orion
Version:	1.6.7
Release:	%mkrel 2
Summary:	Seek and watch streams on Twitch
Group:		Video/Players
License:	GPLv3+
URL:		https://github.com/alamminsalo/orion
Source0:	https://github.com/alamminsalo/orion/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	qtquickcontrols5

%description
A desktop client for Twitch.tv.


%prep
%autosetup -p1 -n %{name}-%{version}

%build
mkdir build
cd build
%{qmake_qt5} ../ "CONFIG+=multimedia"
%make_build

%install
cd build
%make_install INSTALL_ROOT=%{buildroot}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/Orion.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/Orion.appdata.xml

%files
%{_bindir}/orion
%{_datadir}/metainfo/Orion.appdata.xml
%{_datadir}/applications/Orion.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%license COPYING LICENSE.txt



%changelog
* Thu Feb 20 2020 umeabot <umeabot> 1.6.7-2.mga8
+ Revision: 1546032
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 solbu <solbu> 1.6.7-1.mga8
+ Revision: 1485770
- New version: 1.6.7
- Drop patches: Merged upstream

* Thu Dec 12 2019 solbu <solbu> 1.6.6-3.mga8
+ Revision: 1466050
- Fix playback API issue

* Sun Mar 31 2019 umeabot <umeabot> 1.6.6-2.mga7
+ Revision: 1383725
- Qt5 Rebuild

* Tue Mar 19 2019 solbu <solbu> 1.6.6-1.mga7
+ Revision: 1378869
- Don't ship README: it is install instructions
- imported package orion


* Tue Mar 19 2019 Johnny A. Solbu <johnny@solbu.net> 1.6.6-1.solbu6
- Rebuild for Mageia

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 15 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.6-1
- Release 1.6.6

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 06 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.5-2
- Add missing Requires qt5-qtquickcontrols
- Fixes #1542258

* Fri Apr 06 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.5-1
- Release 1.6.5

* Wed Mar 07 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.1-4
- Add missing BR gcc-c++

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.1-2
- Remove obsolete scriptlets

* Sun Sep 17 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.1-1
- Release 1.6.1

* Thu Jul 20 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.1-2
- Update to Fedora Packaging Guidelines specification

* Sun Jul 09 2017  Robert-André Mauchin <zebob.m@gmail.com> - 1.5.1-1
- Release 1.5.1

* Sun Apr 30 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.1.rc-1
- Pre-release 1.5.1.rc

* Thu Feb 2 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.0-1
- Release 1.4.0

* Sun Oct 16 2016 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.5-1
- Release 1.3.5

* Mon Oct 10 2016 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.2-1
- Release 1.3.2

* Thu Sep 22 2016 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.1-1
- First RPM release
